<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Event APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Event APIs<br/>
<small>
[<a class="el" href="group__group__tivx__api.html">1: TIOVX Interface Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga9c67a78229d8e3c6241b14ba76984f93">tivxEventCreate</a> (<a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> *event)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a event.  <a href="#ga9c67a78229d8e3c6241b14ba76984f93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga25e67344a6d01db6db63a14e5ced6a14">tivxEventDelete</a> (<a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> *event)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete a event.  <a href="#ga25e67344a6d01db6db63a14e5ced6a14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#gad927ee36bfd675b340952338567dd87c">tivxEventPost</a> (<a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> event)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Post a event.  <a href="#gad927ee36bfd675b340952338567dd87c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga826c9dce98759d1ec7bd2ecaa94c113e">tivxEventWait</a> (<a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> event, uint32_t timeout)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pend on a event.  <a href="#ga826c9dce98759d1ec7bd2ecaa94c113e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga6a7a33c9f8ae1268f03eede0db2eefe3">tivxEventClear</a> (<a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> event)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear any pending events.  <a href="#ga6a7a33c9f8ae1268f03eede0db2eefe3"></a><br/></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct _tivx_event_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Typedef for a event.  <a href="#ga514eff6364ee72cf3a07ded0a7cd17b0"></a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#ga95bd7e3d3721fe96fe9c27bb0405d5b3">TIVX_EVENT_TIMEOUT_NO_WAIT</a>&nbsp;&nbsp;&nbsp;(0u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant to indicate tivxEventPend() should only check and not wait for event to arrive.  <a href="#ga95bd7e3d3721fe96fe9c27bb0405d5b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__event.html#gace3ea4a9245c22f937a18e77831ef3e8">TIVX_EVENT_TIMEOUT_WAIT_FOREVER</a>&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant to indicate tivxEventPend() should only wait forever for the event to arrive.  <a href="#gace3ea4a9245c22f937a18e77831ef3e8"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga95bd7e3d3721fe96fe9c27bb0405d5b3"></a><!-- doxytag: member="tivx_event.h::TIVX_EVENT_TIMEOUT_NO_WAIT" ref="ga95bd7e3d3721fe96fe9c27bb0405d5b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_EVENT_TIMEOUT_NO_WAIT&nbsp;&nbsp;&nbsp;(0u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constant to indicate tivxEventPend() should only check and not wait for event to arrive. </p>

</div>
</div>
<a class="anchor" id="gace3ea4a9245c22f937a18e77831ef3e8"></a><!-- doxytag: member="tivx_event.h::TIVX_EVENT_TIMEOUT_WAIT_FOREVER" ref="gace3ea4a9245c22f937a18e77831ef3e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_EVENT_TIMEOUT_WAIT_FOREVER&nbsp;&nbsp;&nbsp;(0xFFFFFFFFu)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constant to indicate tivxEventPend() should only wait forever for the event to arrive. </p>

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga514eff6364ee72cf3a07ded0a7cd17b0"></a><!-- doxytag: member="tivx_event.h::tivx_event" ref="ga514eff6364ee72cf3a07ded0a7cd17b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct _tivx_event_t* <a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Typedef for a event. </p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga9c67a78229d8e3c6241b14ba76984f93"></a><!-- doxytag: member="tivx_event.h::tivxEventCreate" ref="ga9c67a78229d8e3c6241b14ba76984f93" args="(tivx_event *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxEventCreate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> *&nbsp;</td>
          <td class="paramname"> <em>event</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a event. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>event</em>&nbsp;</td><td>[out] Pointer to event object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga25e67344a6d01db6db63a14e5ced6a14"></a><!-- doxytag: member="tivx_event.h::tivxEventDelete" ref="ga25e67344a6d01db6db63a14e5ced6a14" args="(tivx_event *event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxEventDelete </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a> *&nbsp;</td>
          <td class="paramname"> <em>event</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a event. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>event</em>&nbsp;</td><td>[in] Pointer to event object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="gad927ee36bfd675b340952338567dd87c"></a><!-- doxytag: member="tivx_event.h::tivxEventPost" ref="gad927ee36bfd675b340952338567dd87c" args="(tivx_event event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxEventPost </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td>
          <td class="paramname"> <em>event</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Post a event. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>event</em>&nbsp;</td><td>[in] event object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga826c9dce98759d1ec7bd2ecaa94c113e"></a><!-- doxytag: member="tivx_event.h::tivxEventWait" ref="ga826c9dce98759d1ec7bd2ecaa94c113e" args="(tivx_event event, uint32_t timeout)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxEventWait </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td>
          <td class="paramname"> <em>event</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&nbsp;</td>
          <td class="paramname"> <em>timeout</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pend on a event. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>event</em>&nbsp;</td><td>[in] event object </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>timeout</em>&nbsp;</td><td>[in] Timeout in units of msecs, use TIVX_EVENT_TIMEOUT_WAIT_FOREVER to wait forever</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
<a class="anchor" id="ga6a7a33c9f8ae1268f03eede0db2eefe3"></a><!-- doxytag: member="tivx_event.h::tivxEventClear" ref="ga6a7a33c9f8ae1268f03eede0db2eefe3" args="(tivx_event event)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxEventClear </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__group__tivx__event.html#ga514eff6364ee72cf3a07ded0a7cd17b0">tivx_event</a>&nbsp;</td>
          <td class="paramname"> <em>event</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear any pending events. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>event</em>&nbsp;</td><td>[in] event object</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>VX_SUCCESS on success </dd></dl>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
